Skip to main content
GET
/
api
/
paylinks
List pay links for authenticated wallet
curl --request GET \
  --url https://mag3nt.com/api/paylinks \
  --header 'Authorization: Bearer <token>'
{
  "pay_links": [
    {
      "id": "<string>",
      "code": "PL_a1b2c3d4",
      "url": "https://mag3nt.com/pay/PL_a1b2c3d4",
      "amount": 123,
      "asset": "<string>",
      "network": "<string>",
      "memo": "<string>",
      "uses": 123,
      "max_uses": 123,
      "expires_at": "2023-11-07T05:31:56Z",
      "qr_svg": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.mag3nt.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Session token from POST /api/auth/verify

Response

200 - application/json

Pay links list